#!/usr/bin/python3
#-*- coding: iso-8859-15 -*-

#############################################################################
#                                                                           #
#                              leer_datos.py                                #
#                                                                           #
# Programa para visualizar los datos actuales de fecha y hora completos y   #
# temperatura.                                                              #
#                                                                           #
#############################################################################

import DS3231

RTC = DS3231.DS3231()

# Obtiene un vector con todos los datos
datos = RTC.leer_todo()

if datos[3] == 1:
    dia_semana = "Lunes"
elif datos[3] == 2:
    dia_semana = "Martes"
elif datos[3] == 3:
    dia_semana = "Miercoles"
elif datos[3] == 4:
    dia_semana = "Jueves"
elif datos[3] == 5:
    dia_semana = "Viernes"
elif datos[3] == 6:
    dia_semana = "Sabado"
elif datos[3] == 7:
    dia_semana = "Domingo"

# Calcula el ao con 4 dgitos a partir del siglo definido y la lectura de ao
anio = (DS3231.SIGLO - 1)*100 + datos[6]

# Muestra los valores con formato por pantalla
print("\n\tHora: %02d:%02d:%02d" % (datos[0], datos[1], datos[2]))
print("\n\tFecha: " + dia_semana + " %02d/%02d/%02d" %
      (datos[4], datos[5], anio))
print("\n\tTemperatura: " + str(RTC.obtener_temperatura()) + " *C\n")
